#!/tvbin/tivosh
# ************************************************************
# AltEPG Project Source Code Version Control
# $FileID: git::root/hack/bin/flushres.tcl $
# $Revision: altepg1.0c_2-2011-12-22 root 2011-12-16 10:45:20 +0000 Bug#5 - use SerialNumber to derive MAC address if not defined in oztivo.conf $
# Description: Flush cached database resources
# (From AlphaWolf's Tivo Enhancement Script)
# ************************************************************

set db [dbopen]

puts "Removing CompressedFile (cached) items"

RetryTransaction {
	set swsysa [db $db open "/SwSystem/ACTIVE"]
	set resgrp [dbobj $swsysa get ResourceGroup]
	foreach res $resgrp {
		dbobj $res remove "CompressedFile"
	}
}

puts "Reboot your TiVo to apply the changes"

