# ************************************************************
# AltEPG Project Source Code Version Control
# $FileID: git::var/tmp/ouija_fix.bash $
# $Revision: altepg1.0c_2-2011-12-22 root 2011-12-16 10:45:20 +0000 Bug#5 - use SerialNumber to derive MAC address if not defined in oztivo.conf $
# Description: Fix ouija screen problem
# ************************************************************

# IMPORTANT NOTE: node 6398 is the correct node for altepg1.0c native builds
# Other builds may use a different node, eg a Hooch build typically uses 9142
# This script really ought to traverse the MFS file system to discover the right node number

file=PickByNameNonSky0.mpv
node=6398
echo "Importing $file into mfs node $node" 
mfs_import $node /var/tmp/$file
ret=$?
echo "Import complete, return code $ret"
